漏洞信息详情

mpg123 缓冲区错误漏洞

  • CNNVD编号:CNNVD-201708-476
  • 危害等级: 高危
  • CVE编号: CVE-2017-12839
  • 漏洞类型: 缓冲区错误
  • 发布时间: 2017-08-14
  • 威胁类型: 远程
  • 更新时间: 2019-05-14
  • 厂        商:
  • 漏洞来源:

漏洞简介

mpg123是Michael Hipp软件开发者的一款使用于Linux和Unix操作系统下的MPEG音频播放器和解码库。

mpg123 1.25.5及之前版本中的src/libmpg123/getbits.h文件的‘getbits’函数存在缓冲区错误漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。

漏洞公告

目前厂商暂未发布修复措施解决此安全问题,建议使用此软件的用户随时关注厂商主页或参考网址以获取解决办法:

https://www.mpg123.de/

参考网址

来源:www.mpg123.de

链接:https://www.mpg123.de/cgi-bin/scm/mpg123/trunk/src/libmpg123/getbits.h?r1=2024&r2=4323&sortby=date

来源:sourceforge.net

链接:https://sourceforge.net/p/mpg123/bugs/255/

来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2017-12839

受影响实体

    暂无


补丁

    暂无

漏洞信息快速查询

相关漏洞

更多